## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate rpds

Name:           rust-rpds
Version:        1.1.1
Release:        %autorelease
Summary:        Persistent data structures with structural sharing

License:        MPL-2.0
URL:            https://crates.io/crates/rpds
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# - remove criterion dependency
# - relax serde dependency
Patch:          rpds-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Persistent data structures with structural sharing.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/release-notes.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+fatal-warnings-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fatal-warnings-devel %{_description}

This package contains library source intended for building other packages which
use the "fatal-warnings" feature of the "%{crate}" crate.

%files       -n %{name}+fatal-warnings-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Apr 12 2025 Mattia Verga <mattia.verga@proton.me> - 1.1.1-1
- Update to 1.1.1 (Fedora#2358481)

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Nov 26 2023 Mattia Verga <mattia.verga@proton.me> - 1.1.0-2
- Do not exclude i686

* Sun Nov 26 2023 Mattia Verga <mattia.verga@proton.me> - 1.1.0-1
- Update to 1.1.0

* Thu Sep 07 2023 Mattia Verga <mattia.verga@proton.me> - 1.0.1-1
- Update to 1.0.1

* Fri Aug 25 2023 Mattia Verga <mattia.verga@proton.me> - 1.0.0-1
- Update to 1.0.0

* Wed Jul 26 2023 Mattia Verga <mattia.verga@proton.me> - 0.13.0-5
- Re-exclude ix86 from building

* Wed Jul 26 2023 Mattia Verga <mattia.verga@proton.me> - 0.13.0-4
- Update archery dependency

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 11 2023 Mattia Verga <mattia.verga@proton.me> - 0.13.0-2
- Disable ix86 builds due to precision errors

* Tue Jul 11 2023 Mattia Verga <mattia.verga@proton.me> - 0.13.0-1
- Initial import (fedora#2221358)
## END: Generated by rpmautospec
